rtems gcc 4.6.1 can not compile stop at check TLS

Xiangfu Liu xiangfu at sharism.cc
Wed Aug 24 09:18:26 CDT 2011


Hi

I give up the gcc 4.6 after somebody tell me it's not working with lm32
now I am using 4.5.3, it's compile fine. only miss that small patch.

Please consider merger that patch to upstream  :)
thanks

On 08/24/2011 10:15 PM, Xiangfu Liu wrote:
> On 08/24/2011 10:10 PM, Steven Grunza wrote:
>> You seem to be trying to build the compiler. Why build the compiler
>> when you can use pre-built tools? You seem to be using a Ubuntu host.
>> There is some work to be done in converting the .RPM files into .DEB
>> files for Ubuntu but the Wiki page has some information on it. See
>> http://wiki.rtems.org/wiki/index.php/Debian_and_Ubuntu
>
> the 4.6.1 not working with lm32(milkymist one) and there is one small patch
> missed in 4.5.3:
> https://github.com/milkymist/scripts/blob/master/compile-lm32-rtems/milkymist-one-patches/gcc-core-0001-support-for-the-hardware-divider.patch
>
> thanks for reply
> xiangfu




More information about the rtems-users mailing list